#define 	commit 5ae723
%define		rel 1

Name:		squashfs-tools
Version:	4.6.1
Release:	%mkrel %{?commit:0.%{commit}}%rel
Summary:	Utilities for the creation of compressed squashfs images
License:	GPLv2+
Group:		File tools
URL:		https://github.com/plougher/squashfs-tools
Source:         https://github.com/plougher/squashfs-tools/archive/%{version}.tar.gz#/%{name}-%{version}%{?commit:-git%commit}.tar.%{?commit:xz}%{!?commit:gz}
# upstream fixes:

# Mageia patches:

# Security Patches
# P100 -> ...
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libattr)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	libzstd-devel

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains the utilities for manipulating squashfs filesystems.

%prep
%autosetup -p 1 -n %{name}%{!?commit:-%{version}}

%build
pushd squashfs-tools
CFLAGS="%{optflags}" \
%make_build \
      XZ_SUPPORT=1 \
      LZMA_XZ_SUPPORT=1 \
      LZO_SUPPORT=1 \
      LZ4_SUPPORT=1 \
      ZSTD_SUPPORT=1 \
      COMP_DEFAULT=zstd

%install
install -d %{buildroot}%{_bindir}
install -m 755 squashfs-tools/mksquashfs %{buildroot}%{_bindir}/mksquashfs
install -m 755 squashfs-tools/unsquashfs %{buildroot}%{_bindir}/unsquashfs

%files
%doc CHANGES README-%{version}
%{_bindir}/mksquashfs
%{_bindir}/unsquashfs


%changelog
* Wed Sep 20 2023 daviddavid <daviddavid> 4.6.1-1.mga10
+ Revision: 1988484
- new version: 4.6.1

* Sun Oct 23 2022 ghibo <ghibo> 4.5.1-1.mga9
+ Revision: 1898789
- Update to release final 4.5.1.
- Add support for git/final release in SPEC file.

* Wed Mar 23 2022 umeabot <umeabot> 4.5-1.git5ae723.2.mga9
+ Revision: 1822074
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 neoclust <neoclust> 4.5-1.git5ae723.1.mga9
+ Revision: 1762513
- Update to version 4.5 git5ae723: Fixes an other security issue (mga#29429)

* Thu Sep 23 2021 neoclust <neoclust> 4.4-3.git2.mga9
+ Revision: 1746243
- Add P102->104: Fixes CVE-2021-41072 (mga#29429)
- Add P100: Fixes CVE-2021-40153 (mga#29429)

* Thu Nov 12 2020 tv <tv> 4.4-3.git1.mga8
+ Revision: 1644816
- 4.4-git.1 release (yes that's a true upstream release)

* Thu May 14 2020 tmb <tmb> 4.4-2.mga8
+ Revision: 1583733
- use real upstream release tarball

* Wed May 13 2020 tv <tv> 4.4-1.mga8
+ Revision: 1583542
- 4.4 release + plus a few upstream post release patches

* Mon Mar 16 2020 tv <tv> 4.3-12.mga8
+ Revision: 1556617
- default to zstd compressed intead of xz
- 32 bit process can use too much memory when using PAE or 64 bit kernels
- Prevent overflows when using the -mem option.
- make it gcc future proof
- add zstd compression support (already supported by kernel > 4.14...)
- improved description

* Fri Feb 14 2020 umeabot <umeabot> 4.3-11.mga8
+ Revision: 1522347
- Mageia 8 Mass Rebuild
+ tmb <tmb>
- update url

* Fri Jan 25 2019 alexl <alexl> 4.3-10.mga7
+ Revision: 1360565
- pkgconfig for br
- enable lz4 support

* Mon Oct 01 2018 daviddavid <daviddavid> 4.3-9.mga7
+ Revision: 1314253
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Sep 19 2017 tv <tv> 4.3-8.mga7
+ Revision: 1155752
- use %%make_build instead of %%make + use our flags, thus fixing debugsources
- switch to %%autopatch
- add source URL

* Thu Apr 07 2016 blino <blino> 4.3-7.mga6
+ Revision: 999045
- enable lzo support
- enable lzma support (with same library than xz support)

* Fri Feb 12 2016 umeabot <umeabot> 4.3-6.mga6
+ Revision: 958914
- Mageia 6 Mass Rebuild

* Tue Jul 21 2015 luigiwalser <luigiwalser> 4.3-5.mga6
+ Revision: 855955
- combine patches from fedora to fix CVE-2015-4645 and CVE-2015-4646

* Tue May 05 2015 tmb <tmb> 4.3-4.mga5
+ Revision: 821280
- fix 2GB-limit of the is_fragment(...) function
- mksquashfs: fix rare race in fragment waiting in filesystem finalisation

* Wed Oct 15 2014 umeabot <umeabot> 4.3-3.mga5
+ Revision: 745937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3-2.mga5
+ Revision: 689307
- Mageia 5 Mass Rebuild

* Thu May 15 2014 tv <tv> 4.3-1.mga5
+ Revision: 622939
- new release
- drop merged patches

* Fri Oct 18 2013 umeabot <umeabot> 4.2-7.mga4
+ Revision: 518523
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.2-6.mga3
+ Revision: 382586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 tmb <tmb> 4.2-5.mga3
+ Revision: 338260
- unsquashfs: Fix potential stack overflow in get_component
  (CVE-2012-4024) (P2, from Fedora, mga #8448)
- unsquashfs: Fix integer overflow exploit in queue_init() leading to
  heap overflow. (CVE-2012-4025) (P3, from Fedora, mga #8448)

* Fri Oct 19 2012 tv <tv> 4.2-4.mga3
+ Revision: 308179
- do not obsolete squashfs3-tools for those still targeting 2.6.28- kernels...

* Thu Oct 18 2012 tv <tv> 4.2-3.mga3
+ Revision: 307990
- obsoletes squashfs3-tools which is useless for years

* Fri Dec 30 2011 tmb <tmb> 4.2-2.mga2
+ Revision: 189115
- unsquashfs: add checks for corrupted data in opendir functions
- compressors: mksquashfs/unsquashfs broken if GZIP_SUPPORT is not defined
- fix license
- drop defattr and buildroot

* Thu Mar 03 2011 tmb <tmb> 4.2-1.mga1
+ Revision: 62766
- update to 4.2 final

* Tue Jan 25 2011 tmb <tmb> 4.2-0.20101231.1.mga1
+ Revision: 38330
- imported package squashfs-tools


* Tue Jan 25 2011 Thomas Backlund <tmb@mandriva.org> 4.2-0.20101231.1.mga1
- Initial import
- drop S1: lzma465 sdk
- update to cvs 20101231 to get xz support
- build and use xz sypport by default

* Wed Oct 20 2010 Thomas Backlund <tmb@mandriva.org> 4.1-1mdv2011.0
+ Revision: 586918
- update to 4.1

* Tue Dec 29 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.0-3.20091221.1mdv2010.1
+ Revision: 483266
- add lzma support to mksquashfs/unsquashfs

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.0-2mdv2010.0
+ Revision: 427213
- rebuild

* Mon Apr 06 2009 Pascal Terjan <pterjan@mandriva.org> 4.0-1mdv2009.1
+ Revision: 364374
- Update to 4.0 final

* Wed Feb 18 2009 Pascal Terjan <pterjan@mandriva.org> 4.0-0.20090125.1mdv2009.1
+ Revision: 342394
- Update to a cvs snapshot able to create v4 fs so that we can mount them
  (we lose unsquashfs for now)

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.3-4mdv2009.0
+ Revision: 140851
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Olivier Blin <oblin@mandriva.com> 3.3-4mdv2008.1
+ Revision: 119554
- fix hang when dealing with sparse files (patch from CVS)

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Thu Dec 13 2007 Olivier Blin <oblin@mandriva.com> 3.3-3mdv2008.1
+ Revision: 119429
- package unsquashfs

* Wed Dec 12 2007 Olivier Blin <oblin@mandriva.com> 3.3-2mdv2008.1
+ Revision: 119020
- rebuild with latest lzma static library to fix zlib support
- update sqlzma2u-3.3.patch from sqlzma3.3-fixed.tar.bz2

* Wed Nov 14 2007 Olivier Blin <oblin@mandriva.com> 3.3-1mdv2008.1
+ Revision: 108685
- 3.3
- update lzma patch and headers
- rediff nolzma patch


* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 3.2-1.r2.2mdv2007.0
+ Revision: 134240
- do not use lzma by default and document a new -lzma option
- add lzma support (from squashfs-lzma.org)

* Tue Feb 13 2007 Olivier Blin <oblin@mandriva.com> 3.2-1.r2.1mdv2007.1
+ Revision: 120480
- 3.2-r2
- Import squashfs-tools

* Sat Sep 02 2006 Arnaud Patard <apatard@mandriva.com> 3.1.1.r2.1mdv2007.0
- 3.1-r2

* Thu Aug 31 2006 Arnaud Patard <apatard@mandriva.com> 3.1-1mdv2007.0
- 3.1

* Mon Jan 23 2006 Arnaud Patard <apatard@mandriva.com> 2.2-1.r2.1mdk
- 2.2-r2

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1-1.r2.1mdk
- 2.1-r2
- cosmetics

* Thu Jul 15 2004 Jaco Greeff <jaco@mandrake.org> 2.0-1mdk
- Version 2.0

